ランタイム: Mix::Geometry::Sphere Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Mix::Geometry::Sphere Class Reference

球クラス More...

`#include <Sphere.h>`

Collaboration diagram for Mix::Geometry::Sphere:
[legend]

## Public Member Functions

| Sphere (void)
| コンストラクタ More...
| Sphere (Float32 cx, Float32 cy, Float32 cz, Float32 r)
| コンストラクタ More...
| Sphere (const Mix::Vector3 &c, Float32 r)
| コンストラクタ More...
| Sphere (const Mix::Geometry::AABB &aabb)
| コンストラクタ More...
Mix::Geometry::Sphere & | operator= (const Mix::Geometry::AABB &aabb)
| AABBを代入します More...
Mix::Geometry::Sphere & | operator+= (const Mix::Geometry::Sphere &sphere)
| 球を代入結合します More...
Mix::Geometry::Sphere & | operator+= (const Mix::Geometry::AABB &aabb)
| AABBを代入結合します More...
Mix::Geometry::Sphere | operator+ (const Mix::Geometry::Sphere &sphere) const
| 球を結合します More...
Mix::Geometry::Sphere | operator+ (const Mix::Geometry::AABB &aabb) const
| AABBを結合します More...

## Public Attributes

Mix::Vector3 | center
| 中心座標 More...
Float32 | radius
| 半径 More...

## Detailed Description

球クラス

## Constructor & Destructor Documentation

Mix::Geometry::Sphere::Sphere | ( | void |  | ) |

コンストラクタ

Mix::Geometry::Sphere::Sphere | ( | Float32 | cx,
|  | Float32 | cy,
|  | Float32 | cz,
|  | Float32 | r
| ) |  |

コンストラクタ

Parameters

  [in] | cx | 中心のX座標
  [in] | cy | 中心のY座標
  [in] | cz | 中心のZ座標
  [in] | r | 半径

Mix::Geometry::Sphere::Sphere | ( | const Mix::Vector3 & | c,
|  | Float32 | r
| ) |  |

コンストラクタ

Parameters

  [in] | c | 中心座標を表す Mix::Vector3 クラス
  [in] | r | 半径

Mix::Geometry::Sphere::Sphere | ( | const Mix::Geometry::AABB & | aabb | ) |

コンストラクタ

Parameters

  [in] | aabb | 代入するAABBを表す Mix::Geometry::AABB クラス

## Member Function Documentation

Mix::Geometry::Sphere& Mix::Geometry::Sphere::operator= | ( | const Mix::Geometry::AABB & | aabb | ) |

AABBを代入します

Parameters

  [in] | aabb | 代入するAABBを表す Mix::Geometry::AABB クラス

Returns
  代入した球を表す Mix::Geometry::Sphere クラスを返します

Note
  AABB に完全に内包される球を求めます

Mix::Geometry::Sphere& Mix::Geometry::Sphere::operator+= | ( | const Mix::Geometry::Sphere & | sphere | ) |

球を代入結合します

Parameters

  [in] | sphere | 代入結合する球を表す Mix::Geometry::Sphere クラス

Returns
  代入結合した球を表す Mix::Geometry::Sphere クラスを返します

Mix::Geometry::Sphere& Mix::Geometry::Sphere::operator+= | ( | const Mix::Geometry::AABB & | aabb | ) |

AABBを代入結合します

Parameters

  [in] | aabb | 代入結合する球を表す Mix::Geometry::AABB クラス

Returns
  代入結合した球を表す Mix::Geometry::Sphere クラスを返します

Mix::Geometry::Sphere Mix::Geometry::Sphere::operator+ | ( | const Mix::Geometry::Sphere & | sphere | ) | const

球を結合します

Parameters

  [in] | sphere | 結合する球を表す Mix::Geometry::Sphere クラス

Returns
  結合した球を表す Mix::Geometry::Sphere クラスを返します

Mix::Geometry::Sphere Mix::Geometry::Sphere::operator+ | ( | const Mix::Geometry::AABB & | aabb | ) | const

AABBを結合します

Parameters

  [in] | aabb | 結合するAABBを表す Mix::Geometry::AABB クラス

Returns
  結合した球を表す Mix::Geometry::Sphere クラスを返します

## Member Data Documentation

Mix::Vector3 Mix::Geometry::Sphere::center

中心座標

Float32 Mix::Geometry::Sphere::radius

半径

The documentation for this class was generated from the following file:

- Mix/Geometry/Sphere.h